<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.yami.shop.dao.FrontCategoryMapper">


    <select id="selectListName" resultType="com.yami.shop.bean.model.FrontCategory">
        SELECT
        *
        FROM
        tz_front_category
        WHERE
        is_delete = 0
        AND name = #{name}

#         AND level = 2
    </select>

    <update id="deleteByParentCode">
        UPDATE tz_front_category SET is_delete = 1 WHERE parent_code = #{parentCode}
    </update>

</mapper>
